EDIT - feature request #7612

CacheStrategy for MediaSpecimens
07/31/2018 06:13 PM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal

Description

The DerivedUnitFacadeCacheStrategy has no support for MediaSpecimens.

see #7608 for which the creation of a string representation has been implemented in TypeDesignationSetManager.

This implementation makes certain assumptions regarding the data:
e The reference reference detail of the media is placed in media.sources.citation and the media.sources.citationDetail
e The media can otherwise be empty

¢ A MediaSpecimen without collection is treated as published image/media

Even if this usage is somewhat unorthodox it is a pragmatic solution to store this data despite the fact that media specimens are not
fully supported for real usecases.

Related issues:

Related to EDIT - bug #7608: TypeDesignationSetManager: string representation... Closed
Related to EDIT - feature request #5575: DNA Sample requires CacheStrategy Closed
Related to EDIT - feature request #5573: Cache Strategy for Media Specimen re... Closed
Related to EDIT - feature request #4363: Show more informative message for un... Closed
Related to EDIT - task #9594: Use MediaSpecimen as input for MediaSpecimenGen... Closed
Related to EDIT - feature request #9597: Improve formatting of MediaSpecimen ... Closed
Is duplicate of EDIT - feature request #5573: Cache Strategy for Media Specim... Closed

Associated revisions

Revision 19729558 - 01/09/2021 01:30 AM - Andreas Miiller

ref #7612 a first (preliminary) version of MediaSpecimenDefaultCacheStrategy

Revision 26008f31 - 01/09/2021 11:22 AM - Andreas Miiller
ref #5573, ref #7612 adapt MediaSpecimenDefaultCacheStrategy to OccurrenceCacheStrategyBase

Revision d0cd78c9 - 04/28/2021 05:06 PM - Andreas Muller

ref #7612, ref #5573 adapt MediaSpecimenDefaultCacheStrategy to show file name only if no other information exists

Revision 9aa30fc8 - 04/28/2021 07:07 PM - Andreas Miiller
ref #1602, ref #5573, ref #7612 Include artist in MediaDefaultCacheStrategy

Revision 1cd6de7e - 04/29/2021 05:00 PM - Andreas Miiller
ref #9594 | ref #5573, ref #7612 use MediaSpecimenCacheStrategy in DerivateLabelProvider

Revision 957e3207 - 04/30/2021 07:15 AM - Andreas Miiller
ref #5573, ref #7612 some doc

Revision e651eaf3 - 04/30/2021 09:26 AM - Andreas Miiller

ref #7612, ref #5573, ref #5575 use mostSignificantldentifier instead of accession number only

History
https://dev.e-taxonomy.eu/redmine/issues/7608

#1 - 07/31/2018 06:14 PM - Andreas Kohlbecker

- Related to bug #7608: TypeDesignationSetManager: string representations for media types are missing added

#2 - 01/09/2021 01:34 AM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 5.19

To me it is a bit unclear what the suggestion is how the MediaSpecimen cache strategy should be implemented.

#3 - 01/09/2021 01:36 AM - Andreas Miiller
- % Done changed from 0 to 40

| implemented now a very basic version of the cache strategy to avoid -titteCache not yet implemented- messages

#4 - 01/09/2021 01:36 AM - Andreas Miiller
- Related to feature request #5575: DNA Sample requires CacheStrategy added

#5 - 01/09/2021 10:21 AM - Andreas Miiller
- Related to feature request #5573: Cache Strategy for Media Specimen required added

#6 - 04/29/2021 02:39 PM - Andreas Miiller

- Related to feature request #4363: Show more informative message for unsupported specimen structures in specimen bulk editor added

#7 - 04/29/2021 04:20 PM - Andreas Miiller
- Related to task #9594: Use MediaSpecimen as input for MediaSpecimenGeneralDetailElement added

#8 - 04/29/2021 05:01 PM - Andreas Miiller

- Description updated

#9 - 04/30/2021 09:58 PM - Andreas Miiller
- Related to feature request #9597: Improve formatting of MediaSpecimen in TypeDesignationWorkingSet formatting added

#10 - 04/30/2021 10:01 PM - Andreas Miiller
- Status changed from In Progress to Duplicate

- % Done changed from 40 to 100

This focus of this ticket is not fully clear. Is it only about MediaSpecimen or about MediaSpecimen used as types.

However, the MediaSpecimen issue is a duplicate for #5573 while the type related issue is finally solved in #7608, #9597 and #9279.

So | guess we can close this ticket as duplicate.

#11 - 03/11/2022 05:51 PM - Andreas Miiller
- Is duplicate of feature request #5573: Cache Strategy for Media Specimen required added
